@font-face {
  font-family: 'Garet Book';
  src: url('/fonts/garet/Garet-Book.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Garet Heavy';
  src: url('/fonts/garet/Garet-Heavy.woff2') format('woff2');
  font-weight: bold;
  font-style: normal;
}

.contain {
  display: flex;
  color: var(--primary-color) !important;
  flex-wrap: wrap;
  padding-left: 0;
  list-style: none;
  background-color: var(--bg-white);
  border: none;
  padding-top: 15px;
  padding-left: 8px;
  margin-top: 2em;
  margin-bottom: 2em;
  padding-bottom: 20px;
  justify-content: space-between;
}

/*@import url('https://fonts.cdnfonts.com/css/futura-std-4?styles=52567,52568,52574,52581,52575,52582,52570,52583,52576,52584,52579,52580,52565,52571,52566,52572,52573,52577,52569,52578');*/

html, body {
  font-family: var(--primary-font-family);
}

.main-body {
  background-color: var(--bg-white);
}

h4 {
  font-size: 1.3rem;
}

.blazor-error-boundary {
  background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
  padding: 1rem 1rem 1rem 3.7rem;
  color: white;
}

  .blazor-error-boundary::after {
    content: "An error has occurred."
  }

.logo-image {
  height: 50px;
}

.material-symbols-outlined {
  font-size: var(--material-icon-font-size);
  vertical-align: sub;
  color: var(--primary-icon-color);
}

/*  Navbar Banner Styling  */
.navigation-row {
  background-color: var(--navbar-bg-color);
  height: var(--navbar-height);
  align-items: center;
  padding: 0px 40px 0px 40px;
}

.Navbar {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  vertical-align: central;
}

.dropdown nav-button {
  padding: 0;
}

.nav-button {
  font-family: var(--navbar-font-family);
  font-size: var(--navbar-font-size);
  font-weight: var(--navbar-font-weight);
  line-height: 21.6px;
  text-align: var(--navbar-text-align);
  color: var(--navbar-btn-color) !important;
  padding: 14px;
  align-content: center;
  vertical-align: bottom;
}

  .nav-button:hover {
    cursor: pointer;
    text-decoration: underline;
  }

.navBurgerButton {
  margin-left: auto;
}

.symbol-nav {
  color: var(--secondary-icon-color) !important;
}

/*  Welcome Banner Styling  */
.welcome-row {
  padding-top: 45px;
  height: 300px;
  background-color: var(--primary-color);
  background-image: linear-gradient(to right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0)), url('Images/mountains.jpg');
  background-position: 50% 75%;
  background-repeat: no-repeat;
  background-size: 100% 250%;
}

.welcome-heading {
  color: var(--welcome-header-color);
  font-feature-settings: 'clig' off, 'liga' off;
  font-family: var(--welcome-header-font-family);
  font-size: var(--welcome-header-font-size);
  font-style: normal;
  font-weight: var(--welcome-header-font-weight);
  line-height: normal;
  display: inline;
}

.welcome-heading-greeting {
  color: var(--welcome-header-greeting-color);
  display: inline;
}

.welcome-message {
  color: var(--welcome-message-color);
  font-feature-settings: 'clig' off, 'liga' off;
  font-family: var(--welcome-message-font-family);
  font-size: var(--welcome-message-font-size);
  font-weight: var(--welcome-message-font-weight);
  line-height: normal;
  width: var(--welcome-message-width);
  margin-top: 16px;
  margin-bottom: 16px;
}

/*  Searchbar Styling  */
.search-row {
  padding: 10px 181px 10px 181px;
  background: linear-gradient(180deg, transparent 59%, var(--white) 61%);
}

.search-border {
  border-radius: 8px;
  background: linear-gradient(90deg, var(--search-border-color1) 0%, var(--search-border-color2) 100%);
  padding: 4px;
}

.search-field {
  background-color: var(--white);
  border: 4px solid transparent;
  border-radius: 8px
}

  .search-field .container-fluid {
    background-color: transparent;
    border-width: 0 0 0px 0;
    border-style: initial;
    padding: 10px;
    border-bottom: none;
    width: 100%;
  }

.search-icon {
  padding-left: 10px;
  width: 30px !important;
  color: var(--primary-icon-color);
}

.home-icon {
  color: var(--white) !important;
}


#Search.k-input-inner {
  background-color: var(--white);
  border: none;
  font-size: var(--secondary-font-size);
}

@media (max-width: 2561px) {
  .search-row {
    margin-top: -3%;
  }
}

@media (max-width: 1441px) {
  .search-row {
    margin-top: -4%;
  }
}

@media (max-width: 1025px) {
  .search-row {
    margin-top: -4%;
  }
}

@media (max-width: 769px) {
  .search-row {
    margin-top: -4%;
  }
}

/* Footer Banner Styling */
.footer-row {
  background-color: var(--footer-bg-color);
  color: var(--footer-font-color);
  padding: 40px 40px 40px 40px;
  display: flex;
  position: absolute;
  width: 100%;
  font-feature-settings: var(--footer-font-feature-settings);
  font-family: var(--footer-font-family);
  font-size: var(--footer-font-size);
  font-weight: var(--footer-font-weight);
  line-height: var(--footer-line-height);
  text-align: var(--footer-text-align);
}

  .footer-row .nav-item a {
    color: var(--footer-font-color);
  }

    .footer-row .nav-item a:hover {
      color: var(--footer-font-hover-color);
      text-decoration: var(--footer-hover-underline);
    }

  .footer-row i {
    vertical-align: baseline;
    font-size: 16px;
    color: var(--white);
  }

    .footer-row i:hover {
      color: var(--footer-font-hover-color);
    }

  .footer-row span {
    align-content: center
  }

.footer-font-icon-color:hover {
  color: var(--footer-font-hover-color);
}

.k-panelbar > .k-panelbar-header > .k-link.k-selected {
  background: var(--gray-blue);
}

.k-panelbar {
  border-right: none !important;
  border-left: none !important;
}

.k-selected {
  background: var(--white) !important;
  color: var(--white);
  border-right: hidden;
  border-left: hidden;
}

/*Main Heading*/
.main-heading {
  color: var(--primary-text-color);
  font-feature-settings: 'clig' off, 'liga' off;
  font-family: var(--secondary-font-family);
  font-size: var(--primary-font-size);
  font-style: normal;
  font-weight: 300;
  line-height: normal;
}

.section-body-small .main-heading {
  margin-bottom: 30px;
}

.section-heading .main-heading {
  margin-bottom: 24px;
}

.my-treeview-wrapper .k-treeview-leaf:hover {
  background-color: #DEF4FD;
  color: #DEF4FD;
  cursor: pointer;
}



.ticket-breadcrumb {
  width: 100%;
  height: 20%;
  padding: 10px 0px;
  align-content: center;
  display: block;
  color: var(--white);
  font-weight: 400;
  background-color: var(--white) !important;
}



/*Global css*/

.ecsm-container {
  padding-right: 0px !important;
  padding-left: 0px !important;
}

.section-body-small {
  margin-top: 50px;
  margin-bottom: 50px;
}

.mt-0 {
  margin-top: 0px !important
}

.section-body {
  margin-top: 50px;
  margin-bottom: 50px;
}

.helveticaFont {
  font-family: var(--secondary-font-family);
  font-size: var(--tertiary-font-size);
  font-weight: var(--secondary-font-weight);
  line-height: 16px;
  text-align: left;
}

.helveticaFontSizeUp {
  font-family: var(--secondary-font-family);
  font-size: var(--secondary-font-size);
  font-weight: var(--secondary-font-weight);
  line-height: 16px;
  text-align: left;
}

.k-input {
  background: var(--bg-white) !important;
  color: var(--primary-color);
  border-right: hidden !important;
  border-left: hidden !important;
  border-top: hidden !important;
  border-bottom: hidden !important;
  border: hidden;
}

.border {
  border: 1px groove var(--primary-color) !important;
  border-radius: 0px;
  padding: 25px;
}

.k-treeview-group {
  color: var(--primary-color);
  font-size: var(--paragraph-font-size);
}

k-treeview-group {
  --k-treeview-group-icon: "+";
}

.k-list-item-text {
  color: black !important;
}

.k-svg-icon {
  width: 24px;
  height: 24px;
  color: var(--secondary-icon-color);
  outline: 0;
  line-height: 1;
  display: inline-flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;
  vertical-align: middle;
  position: relative;
  font-weight: var(--secondary-font-weight);
}

.articleItem .k-svg-icon.k-icon-md.k-svg-i-paperclip {
  transform: rotate(45deg);
  height: 18px;
  width: 18px;
  margin-right: 5px;
}

.notifaction-icon.k-svg-icon {
  vertical-align: text-bottom;
}

.notifcation-message .ck-content p {
  color: var(--primary-color);
  font-family: var(--secondary-font-family);
  font-size: var(--tertiary-font-size);
  font-style: normal;
  font-weight: var(--secondary-font-weight);
  line-height: normal;
  letter-spacing: 0.2px;
}

.selfx-section strong {
  color: var(--blue, var(--primary-color));
  font-family: var(--primary-font-family);
  font-size: var(--secondary-font-size);
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  padding-bottom: 10px;
}

.selfx-section p {
  color: var(--blue, var(--primary-color));
  font-family: var(--secondary-font-family);
  font-size: var(--tertiary-font-size);
  font-style: normal;
  font-weight: var(--secondary-font-weight);
  line-height: normal;
  letter-spacing: 0.2px;
  padding-bottom: 10px;
}

span.articleItem {
  color: var(--blue, var(--primary-color));
  font-family: var(--secondary-font-family);
  font-size: var(--tertiary-font-size);
  font-style: normal;
  font-weight: var(--secondary-font-weight);
  line-height: normal;
  letter-spacing: 0.2px;
  padding: 5px 0;
}

.articleItem:hover {
  cursor: pointer;
  transform: translateY(-2px); /* Slight upward movement */
  background-color: var(--gray-white-hover);
  cursor: pointer;
}

.k-treeview-leaf {
  color: var(--primary-color);
  font-feature-settings: 'clig' off, 'liga' off;
  font-family: var(--secondary-font-family);
  font-size: var(--secondary-font-size);
  font-style: normal;
  font-weight: var(--secondary-font-weight);
  line-height: normal;
}

span.k-input ::placeholder,
span.k-picker ::placeholder {
  color: var(--primary-color);
}

.k-loader-primary {
  color: var(--primary-color)
}


/*Correct COntainer Sized*/
@media (min-width: 576px) {
  .container {
    max-width: 540px !important;
  }
}

@media (min-width: 768px) {
  .container {
    max-width: 720px !important;
  }
}

@media (min-width: 992px) {
  .container {
    max-width: 960px !important;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 1140px !important;
  }
}

@media (min-width: 1400px) {
  .container {
    max-width: 1320px !important;
  }
}

.spinner-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.8);
  z-index: 9999;
  display: flex;
  justify-content: center;
  align-items: center;
}

.spinner {
  border: 6px solid #f3f3f3;
  border-top: 6px solid var(--primary-color); /* Primary color */
  border-radius: 50%;
  width: 48px;
  height: 48px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}